Bug 51428 - (SCSI AIC7XXX)/dev/st0 fails to work on all commands - dump, tar, cpio
(SCSI AIC7XXX)/dev/st0 fails to work on all commands - dump, tar, cpio
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-08-10 09:57 EDT by Edward Grabczewski
Modified: 2008-08-01 12:22 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Edward Grabczewski 2001-08-10 09:57:21 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.01; Windows NT 5.0)

Description of problem:
Following an upgrade to RH 7.1 Professional, the Tandberg DLT 8000 tape 
drive fails to work. This seems to be down to the /dev/st0 device, which 
does not appear to be configured correctly. During the installation the 
DLT device was switched off. Following installaton I powered it up so that 
KUDZU would recognise the device but no screen appeared. The DLT is 
attached to an Adaptec 29160 SCSI controller on an ASUS CUV4X-D 
motherboard (which does not use an Intel 440GX chipset as far as I can 
tell from the manual. 
This setup works on RH 7.0 and 6.2 for that matter. 

How reproducible:
Always

Steps to Reproduce:
1.Install RH 7.1
2.Login and open a terminal window
3. dump -0a -b 10 -f /dev/st0 /usr

	

Actual Results:  DUMP: <usual information>
DUMP: write error 20 blocks into volume 1: Invalid argument
DUMP: Do you want to rewrite this volume? (C?es or no) 



Expected Results:  The drive would have dumped /usr to tape. 

Additional info:

This works with RH 7.0 and 6.2. Seems to be a 7.1 bug.
Neither cpio or tar are happy either - which points to the device.
I have tried different tapes but similar problems occur.
Comment 1 Arjan van de Ven 2001-08-10 10:01:22 EDT
Doug: is this the "odd length" issue ?
Comment 2 Edward Grabczewski 2001-08-13 08:10:57 EDT
I have attached the DLT tape drive to my RAID SCSI controller and the TAR 
command works, so it seems to be a driver problem for the 29160.
Comment 3 Doug Ledford 2001-08-23 17:28:28 EDT
I don't actually have any confirmed "odd length" issues that I can point at.  As
far as this is concerned, I would need to see the Identify information for the
tape device (from a dmesg output) and then I might have a clue what's going on.
 I suspect that the card and tape are having problems in negotiation due to the
fact that the card is a 160 capable card.
Comment 4 Bugzilla owner 2004-09-30 11:39:07 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.